import Cookies from 'js-cookie';

const TokenKey = 'GCLS_Token';

export function getSessionID() {
  const token = Cookies.get(TokenKey);
  const _token = token ? JSON.parse(token) : null;
  return _token ? _token.session_id ?? '' : '';
}

/**
 * 获取 token
 * @returns {object | null}
 */
export function getToken() {
  const token = Cookies.get(TokenKey);
  return token ? JSON.parse(token) : null;
}

/**
 * 设置 token
 * @param {object} token
 */
export function setToken(token) {
  const _token = typeof token === 'object' ? JSON.stringify(token) : '';
  Cookies.set(TokenKey, _token);
}

/**
 * 删除 token
 */
export function removeToken() {
  Cookies.remove(TokenKey);
}

// 系统信息
const ConfigKey = 'GCLS_Config';

export function getConfig() {
  const config = Cookies.get(ConfigKey);
  return config ? JSON.parse(config) : null;
}

export function setConfig(value) {
  let _val = typeof value === 'object' ? JSON.stringify(value) : '';
  Cookies.set(ConfigKey, _val);
}

export function removeConfig() {
  Cookies.remove(ConfigKey);
}
